javax.persistence.spi

## Enum PersistenceUnitTransactionType

- java.lang.Object
- - java.lang.Enum<PersistenceUnitTransactionType>
  - - javax.persistence.spi.PersistenceUnitTransactionType

- All Implemented Interfaces:
    Serializable, Comparable<PersistenceUnitTransactionType>

      public enum PersistenceUnitTransactionType
      extends Enum<PersistenceUnitTransactionType>

  Specifies whether entity managers created by the `EntityManagerFactory` will be JTA or resource-local entity managers.
  Since:
    Java Persistence 1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `JTA` JTA entity managers will be created.
    `RESOURCE_LOCAL` Resource-local entity managers will be created.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PersistenceUnitTransactionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PersistenceUnitTransactionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JTA

          public static final PersistenceUnitTransactionType JTA

      JTA entity managers will be created.

    - #### RESOURCE_LOCAL

          public static final PersistenceUnitTransactionType RESOURCE_LOCAL

      Resource-local entity managers will be created.

  - ### Method Detail

    - #### values

          public static PersistenceUnitTransactionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PersistenceUnitTransactionType c : PersistenceUnitTransactionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PersistenceUnitTransactionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.